Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.trees.j48
Class EntropySplitCrit

    java.lang.Object
      weka.classifiers.trees.j48.SplitCriterion
          weka.classifiers.trees.j48.EntropyBasedSplitCrit
              weka.classifiers.trees.j48.EntropySplitCrit

All Implemented Interfaces:
  java.io.Serializable

    public final class EntropySplitCrit

extends EntropyBasedSplitCrit

Class for computing the entropy for a given distribution.

Version:
  $Revision: 1.5 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`EntropySplitCrit()`

Method Summary
`double` | `splitCritValue(Distribution bags)` Computes entropy for given distribution.
`double` | `splitCritValue(Distribution train, Distribution test)` Computes entropy of test distribution with respect to training distribution.

Methods inherited from class weka.classifiers.trees.j48.EntropyBasedSplitCrit
`logFunc, newEnt, oldEnt, splitEnt`

Methods inherited from class weka.classifiers.trees.j48.SplitCriterion
`splitCritValue, splitCritValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntropySplitCrit

    public EntropySplitCrit()

Method Detail

### splitCritValue

    public final double splitCritValue(Distribution bags)

  Computes entropy for given distribution.

  Overrides:
    `splitCritValue` in class `SplitCriterion`
  Returns:
    value of splitting criterion. 0 by default

### splitCritValue

    public final double splitCritValue(Distribution train,
                                       Distribution test)

  Computes entropy of test distribution with respect to training distribution.

  Overrides:
    `splitCritValue` in class `SplitCriterion`
  Returns:
    value of splitting criterion. 0 by default

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD